> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payouts

> Learn about the /payouts endpoint.

Learn about the `/payouts` endpoint.

`payouts` are machine-readable, normalized versions of traditional paystubs. Each `payout` object corresponds to a single paystub that is available in a user's payroll account.

![High level structure of the payout object.](https://res.cloudinary.com/argyle-media/image/upload/f_auto/v1674859014/docs-2023/API%20Endpoints/Payouts)

## The payout object

<Note>
  Argyle does not calculate YTD values. All YTD values are as they appear on the user's paystubs.
</Note>

### Attributes

* `id` (string (uuid), optional): Unique ID for this payout.
* `payout_period` (object, optional)
* `overtime *DEPRECATED` (string, optional)
* `bonuses *DEPRECATED` (string, optional)
* `commission *DEPRECATED` (string, optional)

```json theme={}

{
"id": "018286d8-e69a-7ec5-d291-561ccb5ece34",
"account": "018286d6-7b6b-f79c-4c8c-d30d9177d175",
"document_id": "018286d8-e648-926a-3e55-86be9a33a1a7",
"metadata": {},
"created_at": "2022-08-10T08:22:18.645Z",
"updated_at": "2022-08-10T08:22:18.645Z",
"employer": "GNOME DEPOT U.S.A., INC.",
"employer_address": {
"line1": "53 First Street",
"line2": null,
"city": "Atlanta",
"state": "GA",
"postal_code": "30339",
"country": "US"
},
"status": "completed",
"payout_date": "2022-01-14T00:00:00Z",
"payout_period": {
  "start_date": "2021-12-27T00:00:00Z",
"end_date": "2022-01-09T00:00:00Z"
},
"type": "direct_deposit",
"currency": "USD",
"hours": "56.00",
"gross_pay": "1141.84",
"net_pay": "593.22",
"reimbursements": null,
"deductions": "478.56",
"taxes": "71.06",
"fees": null,
"overtime": null,
"bonuses": null,
"commission": null,
"hours_ytd": null,
"gross_pay_ytd": "1141.84",
"net_pay_ytd": "593.22",
"deductions_ytd": "478.56",
"taxes_ytd": "71.06",
"filing_status": [
{
"type": "federal",
"location": null,
"status": "married"
},
{
"type": "state",
"location": null,
"status": "married"
}
],
"gross_pay_list": [
{
"name": "Regular",
"type": "regular",
"start_date": "2021-12-27",
"end_date": "2022-01-02",
"rate": "20.3900",
"hours": "16.0000",
"amount": "326.24",
"hours_ytd": "20.22",
"amount_ytd": null
},
{
"name": "Regular",
"type": "regular",
"start_date": "2022-01-03",
"end_date": "2022-01-09",
"rate": "20.3900",
"hours": "32.0000",
"amount": "652.48",
"hours_ytd": null,
"amount_ytd": "978.72"
},
{
"name": "Holiday Pay",
"type": "holiday",
"start_date": "2021-12-27",
"end_date": "2022-01-09",
"rate": "20.3900",
"hours": "8.0000",
"amount": "163.12",
"hours_ytd": null,
"amount_ytd": "163.12"
},
{
"name": "COVID Expense",
"type": "other",
"start_date": "2021-12-27",
"end_date": "2022-01-09",
"rate": "0.0000",
"hours": "0.0000",
"amount": "1.00",
"hours_ytd": null,
"amount_ytd": "1.00"
}
],
"gross_pay_list_totals": {
"base": {
"hours": "56.0000",
"amount": "1141.84",
"rate_implied": "20.3900",
"hours_ytd": null,
"amount_ytd": "1141.84",
"rate_implied_ytd": null
},
"overtime": null,
"commission": null,
"bonus": null,
"other": {
"hours": "0.0000",
"amount": "1.00",
"rate_implied": null,
"hours_ytd": null,
"amount_ytd": "1.00",
"rate_implied_ytd": null
}
},
"deduction_list": [
{
"name": "Med",
"amount": "347.00",
"amount_ytd": "347.00",
"tax_classification": "pre_tax"
},
{
"name": "Vision FT",
"amount": "27.39",
"amount_ytd": "27.39",
"tax_classification": "pre_tax"
},
{
"name": "Dental FT",
"amount": "39.20",
"amount_ytd": "39.20",
"tax_classification": "pre_tax"
},
{
"name": "Future Cntrb",
"amount": "57.09",
"amount_ytd": "57.09",
"tax_classification": "pre_tax"
},
{
"name": "Gnomer Fnd",
"amount": "1.00",
"amount_ytd": "1.00",
"tax_classification": "post_tax"
},
{
"name": "AD&D",
"amount": "6.88",
"amount_ytd": "6.88",
"tax_classification": "post_tax"
}
],
"tax_list": [
{
"name": "OASDI",
"type": "fica",
"amount": "45.15",
"amount_ytd": "45.15"
},
{
"name": "Medicare",
"type": "fica",
"amount": "10.56",
"amount_ytd": "10.56"
},
{
"name": "Federal Withholding",
"type": "federal",
"amount": "0.58",
"amount_ytd": "0.58"
},
{
"name": "State Tax - CA",
"type": "state",
"amount": "6.76",
"amount_ytd": "6.76"
},
{
"name": "CA SDI - CASDI",
"type": "state",
"amount": "8.01",
"amount_ytd": "8.01"
}
],
"destinations": [
{
"reference": null,
"amount": "593.22",
"bank_account": {
"bank_name": "FREEDOM BANK",
"routing_number": null,
"account_number": "******0019"
},
"card": {},
"method": null,
"metadata": {}
}
]
},
null,
2

```

<RefSubLayout.Divider />

## Retrieve a payout

**GET** `/v1/payouts/{id}`

* Retrieve a payout object with the supplied ID.
* This request returns a payout object if a valid identifier was provided.

### Path parameters

* `id` (string (uuid), required): The identifier of the payout to be retrieved.

<Tabs>
  <Tab title="curl">
    ```bash theme={}
    curl --request GET \\
    --url https://api.argyle.com/v1/payouts/{id} \\
    --header 'accept: application/json' \\
    --header 'content-type: application/json'

    ```
  </Tab>

  <Tab title="python">
    ```python theme={}
    import requests
    url = "https://api.argyle.com/v1/payouts/{id}"
    headers = {
    "accept": "application/json",
    "content-type": "application/json"
    }
    response = requests.get(url, headers=headers)
    ```
  </Tab>
</Tabs>

```json theme={}

{
  "id": "01805174-1999-273f-312d-35433cdfd717",
  "account": "01805161-796d-b3f1-a0c0-8250dc01efe4",
  "document_id": "None",
  "deduction_list": [],
  "filing_status": [],
  "tax_list": [],
  "status": "completed",
  "type": "direct_deposit",
  "payout_date": "2022-04-22T11:57:30Z",
  "payout_period": {
"start_date": null,
"end_date": null
  },
  "currency": "USD",
  "gross_pay": "80.81",
  "deductions": null,
  "taxes": null,
  "net_pay": "80.81",
  "bonuses": "3.56",
  "commission": null,
  "overtime": null,
  "reimbursements": null,
  "hours": null,
  "fees": null,
  "net_pay_ytd": "888.63",
  "gross_pay_ytd": "888.63",
  "metadata": {},
  "employer": "uber",
  "employer_address": null,
  "destinations": []
},
null,
2

```

<RefSubLayout.Divider />

## List payouts

**GET** `/v1/payouts`

* List all payouts ordered by `payout_date`, from newest to oldest.
* This request returns an object with a `results` property that contains an array of up to `limit` payout objects.

### Query parameters

<Tabs>
  <Tab title="curl">
    ```bash theme={}
    curl --request GET \\
    --url https://api.argyle.com/v1/payouts?limit=2 \\
    --header 'accept: application/json' \\
    --header 'content-type: application/json'

    ```
  </Tab>

  <Tab title="python">
    ```python theme={}
    import requests
    url = "https://api.argyle.com/v1/payouts?limit=2"
    headers = {
    "accept": "application/json",
    "content-type": "application/json"
    }
    response = requests.get(url, headers=headers)
    ```
  </Tab>
</Tabs>

```json theme={}

[
  {
"id": "01805174-1999-273f-312d-35433cdfd717",
"account": "01805161-796d-b3f1-a0c0-8250dc01efe4",
"document_id": "None",
"deduction_list": [],
"filing_status": [],
"tax_list": [],
"status": "completed",
"type": "direct_deposit",
"payout_date": "2022-04-22T11:57:30Z",
"payout_period": {
  "start_date": null,
  "end_date": null
},
"currency": "USD",
"gross_pay": "80.81",
"deductions": null,
"taxes": null,
"net_pay": "80.81",
"bonuses": "3.56",
"commission": null,
"overtime": null,
"reimbursements": null,
"hours": null,
"fees": null,
"net_pay_ytd": "888.63",
"gross_pay_ytd": "888.63",
"metadata": {},
"employer": "uber",
"employer_address": null,
"destinations": []
  },
  {
"id": "0180519e-709b-4a4e-5f7d-9dd6f3399807",
"account": "0180519e-64f5-0107-603a-a460f85c2c50",
"document_id": "0180519e-6e7c-7c7d-6cc7-35ec1f6f1656",
"deduction_list": [
  {
"amount": "5.51",
"name": "Dental",
"tax_classification": null
  },
  {
"amount": "16.53",
"name": "Roth",
"tax_classification": "post_tax"
  }
],
"filing_status": [
  {
"type": "federal",
"location": null,
"status": "single"
  }
],
"tax_list": [
  {
"amount": "60.61",
"name": "Social Security Tax",
"type": "fica"
  },
  {
"amount": "55.10",
"name": "OASDI",
"type": "fica"
  }
],
"status": "completed",
"type": "direct_deposit",
"payout_date": "2022-04-21T14:12:58Z",
"payout_period": {
  "start_date": "2022-03-16T14:12:58Z",
  "end_date": "2022-04-15T14:12:58Z"
},
"currency": "USD",
"gross_pay": "557.30",
"deductions": "22.04",
"taxes": "115.71",
"net_pay": "423.23",
"bonuses": null,
"commission": "2.89",
"overtime": "3.38",
"reimbursements": "3.68",
"hours": "12.38",
"fees": null,
"net_pay_ytd": "13604.72",
"gross_pay_ytd": "17196.38",
"metadata": {},
"employer": "amazin",
"employer_address": {
  "city": "Seattle",
  "state": "WA",
  "country": "US",
  "postal_code": "98109",
  "line1": "202 Westlake Ave N",
  "line2": null
},
"destinations": []
  }
],
null,
2

```
